<?php
// no direct access
defined('ABSPATH') or die();

/** @var LSD_Menus_Addons $this */
$addons = $this->get();
?>
<div class="wrap about-wrap lsd-wrap">
    <h1><?php esc_html_e('Listdom Addons', 'listdom'); ?></h1>
    <div class="about-text">
		<?php echo esc_html__("Listdom has one of the most complete addons designed for listing directory industry. You can freely use these addons to achieve what you want.", 'listdom'); ?>
    </div>

    <?php echo LSD_Ads::display('addons-top'); ?>

    <?php if(!$addons): ?>
    <p><?php echo LSD_Main::alert(sprintf(esc_html__('It seems there is a problem to get list of addons from Totalery server. Please try again later or check our website at %s', 'listdom'), '<a href="https://totalery.com" target="_blank"><strong>totalery.com</strong></a>'), 'warning'); ?></p>
    <?php else: ?>
    <div class="lsd-addons">
        <div class="lsd-row">
            <?php foreach($addons as $addon): ?>
            <?php
                $basename = ((isset($addon->basename) and trim($addon->basename)) ? $addon->basename : NULL);
                if(!$basename) continue;

                $installed = is_plugin_active($basename);
                $recommended = (isset($addon->recommended) and $addon->recommended);

                $classes = ($recommended ? 'lsd-addons-recommended ' : '').($installed ? 'lsd-addons-installed ' : '');
            ?>
            <div class="lsd-col-6">
				<div class="lsd-addon <?php echo sanitize_html_class(trim($classes)); ?>">
					<?php if(isset($addon->image) and trim($addon->image)): ?><img class="lsd-addon-icon" src="<?php echo esc_url($addon->image); ?>" alt="<?php echo esc_attr($addon->name); ?>"><?php endif; ?>
					
					<div class="lsd-buy-and-install">
					<?php if(!$installed): ?>
						<a class="button" href="<?php echo esc_url($addon->link); ?>"><?php esc_html_e('Details & Buy'); ?></a>
						
						<?php echo ($recommended ? '<div class="lsd-addons-recommended-badge">'.esc_html__('Recommended', 'listdom').'</div>' : ''); ?>
					<?php else: ?>
						<a class="button" href="<?php echo esc_url($addon->documentation_link); ?>"><?php esc_html_e('Documentation'); ?></a>
					<?php endif; ?>
					</div>
					
					<h3>
						<a href="<?php echo esc_url($addon->link); ?>"><?php echo esc_html($addon->name); ?></a>
					</h3>
					
					<p><?php echo LSD_Kses::element($addon->description); ?></p>
                </div>
            </div>
            <?php endforeach; ?>
        </div>
        <p><?php echo sprintf(esc_html__('Not sure which addon is suitable for your need? You can always send us an email at %s', 'listdom'), '<a href="mailto:info@totalery.com"><strong>info@totalery.com</strong></a>'); ?></p>
    </div>
    <?php endif; ?>

    <?php echo LSD_Ads::display('addons-bottom'); ?>
    
</div>